
QGIS Application - Bug report #7376

QGIS confuses left & right buttons

2013-03-16 06:18 PM - John Sankey

Status: Closed

Priority: Normal

Assignee:

Category: Digitising

Affected QGIS version:1.8.0 Regression?: No

Operating System: Mac OSX Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 16348

Description

When entering a polygon with leftclicks, when I try to terminate the feature with a rightclick, it takes anything up to 6 tries before it's

accepted as a rightclick; all prior rightclicks are recorded as leftclicks resulting in duplicate nodes that have to be deleted. QGIS is the

only software that presents this problem - all Mac & Adobe software recognises buttons properly with no errors.

History

#1 - 2013-03-20 12:40 PM - John Sankey

Further detail: using control/leftclick always works, so the problem is with the interface to the Mac mouse handler that a real rightclick is often confused with

a leftclick. A similar problem exists with regards to Mac delete: QGIS only recognizes fn/delete - it should recognize a Mac delete for what it is.

#2 - 2013-03-21 02:15 PM - Larry Shaffer

Hi John,

I can not reproduce the right-click issue here on Mac OS X 10.7.5 with either 1.8 or latest master branch build. (That was with adding a polygon feature as

you noted.)

What type of mouse are you using to send the right-click? I'm using a Kensington Expert Mouse with the lower-right button mapped to 'right-click' (not

control-click). The fact that it eventually does work (instead of not at all) leads me to think maybe you have a rogue driver or process causing issues with

your USB hardware bus. Try a different bus with your mouse (if possible), try holding shift key at login, or try starting in safe boot mode.

Concerning the delete key issue, I have seen no issues using the delete key on my stock Apple keyboard. What keyboard are you using? I'm guessing you

are on a laptop or using a third-party keyboard (e.g. needing to use the function key, which is not an option on the latest regular Apple desktop keyboard).

Maybe check System Prefs to see if you have overridden the delete key at some time in the past.

#3 - 2013-03-21 02:35 PM - John Sankey

Larry, I've got a standard Apple desktop, standard Apple bus mouse plugged into a bus socket on the computer unit, also a standard Apple wireless

keyboard. The mouse leftclick is mapped to "Primary Button" and the rightclick to "Secondary Button", the way Apple configures it. I haven't changed

anything to do with the delete key on the keyboard, in fact I can't find anything in System Preferences that would let me.

I confess I don't understand why neither unit has any issues with Apple software (or with Adobe Photoshop Elements) if it's a rogue driver. I'll try moving the

mouse connection, and will read up on what holding shift key at login does, ditto for safe boot mode.

#4 - 2013-03-25 07:09 AM - John Sankey
I've unplugged everything except the mouse and started in safe mode. No change to what I reported above.

#5 - 2013-03-25 09:44 AM - Larry Shaffer

Hi John,

Could you try one of the nightly builds of master branch for 10.6.8 and see if the issue is still present?

To be on the ultra-safe side (regarding you 1.8.0 work environment), do not overwrite any of your project files or update any application preferences while

testing the nightly build.

You should be able to run the nightly directly from the disk image. Just dismiss any errors that might be shown during loading of plugins.

#6 - 2013-03-25 11:22 AM - John Sankey

No change in either respect.

#7 - 2014-06-21 04:12 AM - Jürgen Fischer

- Category set to Digitising

#8 - 2014-06-21 06:42 AM - Giovanni Manghi

- Status changed from Open to Feedback

as other OsX users aren't affected this seems like a local issue.

#9 - 2014-10-11 01:21 PM - Giovanni Manghi

- Resolution set to worksforme

- Status changed from Feedback to Closed

closing for lack of feedback. Please reopen if necessary.
